/**
*
* Saoloibre.ie - Sectors
*
* August 24
* Sol B
*
*
*/

/**
*
* CONTENTS
*
*
* UTILITIES
* overrides / fixes / helpers
*
* TYPOGRAPHY
*  
* CONTAINERS
*
* COMPONENTS
*
* OBJECTS
*
* TABLES 
* constructed using flexbox
*
*
*/

/**
*
* UTILITIES
*
*/

.is-hidden {
	display: none;
}


/**
*
* Empty paragraphs from database causing double spacing everywhere
*
*/

p[lang="ga-IE"] {
	display: none;
}


/**
*
* TYPOGRAPHY
*
*/

.html-sector {font-size: 1.125em;}

.body-sector {
  background-color: white;
  font-family: 'Fira Sans', serif;
  font-weight: 400;
  line-height: 1.58 !important;
  color: #333;
}

.body-sector main p {
	margin-bottom: 1.3em;
	line-height: 1.58;
}

.body-sector h1, 
.body-sector h2, 
.body-sector h3,
.body-sector h4 {
  margin: 1.414em 0 0.5em;
  font-weight: inherit;
  line-height: 1.2;
}

.body-sector h1 {
  margin-top: 0;
  font-size: 3.998em;
  font-weight: 500;
}

.body-sector h2 {font-size: 2.827em;}

.body-sector h3 {font-size: 1.999em;}

.body-sector h4 {font-size: 1.414em;}

small, .font_small {font-size: 0.707em;}


h1, h2, h3, h4, p, a, span, ul, ol, li {
	font-family: 'Fira Sans', sans-serif;
	letter-spacing: 0;
	font-weight: inherit;
}

.t3 {
	color: #FFF;
	margin-bottom: 0 !important;
}

.t3--sub {
	color: #c7df47;
	margin-top: 0 !important;
	font-weight: bold;
}

main p,
main ul,
main li {
	font-size: 18px;
	color: #485d59;
	font-family: 'Fira Sans', sans-serif;
}

main ul {
	margin-bottom: 21px;
}

main ul li {
	margin-bottom: .5em;
}

main a {
	color: #2d5d57;
	border-bottom: 2px solid #b0d9d4;
	font-weight: 500;
}

main a:hover {
	text-decoration: none;
	color: #2d5d57;
  opacity: .9;
}

main strong {
	font-weight: 500;
}


/**
*
* CONTAINERS
*
*/

/**
*
* Allow spacing for main header
*/

.container--crumb {
	/*margin-top: 130px;*/
	background: #2c5954;
	padding: 1em 0;
}

.container--title {
	background-color: #3d7d77;
	padding-bottom: 1em;
	padding-top: 6em;
}

aside {
	margin-top: 3em;
}

main {
	margin-top: 3em;
}

/**
*
* Sometimes data is not wrapped in <p> from admin
* Ensure text looks correct...
*
*/
.content {
	font-size: 18px;
	color: #485d59;
}

/**
*
* COMPONENTS
*
*/

.submenu {
	list-style-type: none;
	margin: 0;
	padding: .5em 1em;
	background: #F4F4F4;
}

.submenu__item {
	border-bottom: 1px solid #add7d2;
	padding: .5em 0;
}

.submenu__item:last-of-type {
	border-bottom: none;
}

.submenu__item a {
	color: #3d7d77;
}

.submenu__item a:hover{
	text-decoration: none;
	opacity: .8;
}

.pagination {
	padding: 1em;
	text-align: center;
	width: 100%;
}

/**
*
* OBJECTS
*
*/

.crumb__item {
	color: #FFF;
	opacity: .8;
}

.crumb__item:hover,
.crumb__item:active {
	opacity: 1;
	color: #FFF;
	text-decoration: none;
}

.crumb__item:before {
	content: '\f060';
	font-family: 'FontAwesome';
	color: #FFF;
	display: inline-block;
	margin-right: 5px;
}

.link-list .block__link {
	display: block;
	border-bottom: none;
	background: #3d7d77;
	margin-bottom: .3em;
	color: white;
	position: relative;
	padding: 1em;
}

.link-list .block__link:after {
	content: '\f061';
	font-family: 'fontAwesome';
	position: absolute;
	right: 1em;
	top: 1em;
	color: #3d7d77;
	visibility: hidden;
}

.link-list .block__link:hover {
	background-color: #c7df47;
	color: #3d7d77;
}

.link-list .block__link:hover:after {
	visibility: visible;
}

.link-list .block__link:empty {
	display: none;
}

.aside__link {
	background: #c7df47;
	border: 5px solid #3d7d77;
	border-radius: 2px;
	padding: 1em;
	display: block;
	text-align: center;
	font-weight: 500;
	font-size: 1.333em;
	position: relative;
	color: #3d7d77;
}

.aside__link:hover,
.aside__link:focus {
	text-decoration: none !important;
	color: #3d7d77;
	opacity: .9;
}

.aside__link:after {
	content: '\f061';
	font-family: 'fontAwesome';
	position: absolute;
	right: 1em;
	top: 1em;
	color: #3d7d77;
	display: none;
}


/**
*
* TABLES
*
*/

.table--flex {
	display: flex;
	flex-direction: column;
	width: 100%;
}

.table--flex.courses {
	margin-top: 3em;
}



.table__header,
.table__header--sub,
.table__body {
	display: flex;
	justify-content: space-between;
	width: 100%;
}

.courses .table__item {
	flex: 1 0 20%;
	flex: 1;
}

.table__item {
	padding: .5em;
	border-bottom: 1px solid #add7d2;
}

.table__body:last-of-type .table__item {
	border-bottom: none;
} 

.table__header .table__item:first-of-type,
.table__body .table__item:first-of-type {
	flex: 1;
	min-width: 20%;
}

.table__header {
	background: #3d7d77;
	color: white;
}

.table__header--sub {
	background: #cfe7e5;
}

.table__header--sub .table__item {
	font-weight: 500;
}

.table__item a {
	border-bottom: none;
}

.table__body:nth-of-type(even) {
	background-color: #f1f8f7 ;
}

.table__body:hover {
	background-color: #d0e7e4;
	cursor: pointer;
}

.table__footer {
	padding: .5em;
	display: flex;
	flex-direction: column;
	align-items: center;
	border: 1px solid #add7d2;
	border-top: 0;
}

.table__footer p {
	margin-bottom: 0 !important;
	color: #3d7d77;
	font-weight: 700;
}

.table__footer .table__image {
  width: 100px;
}

.table__footer .table__image img {
	width: 100%;
	height: auto;
}

@media screen and (max-width: 767px) {
	.container--crumb {
		margin-top: 120px;
	}

	.body-sector h1 {
		font-size: 2.827em;
	}

	.body-sector h2 {
		font-size: 1.999em;
	}

	.body-sector h3 {font-size: 1.414em;}

	.submenu {
		display: block;
	}


	/**
	*
	* TABLE
	*
	*/

	.table__header {
		padding: 1em;
	}

	.table__body {
		background: #cfe7e5 !important;
		display: flex;
		flex-direction: column;
		border: 1px solid #8ac7c0;
		margin-bottom: 1em;
		padding: 1em;
		border-radius: 2px;
	}

	.courses .table__item {
		flex: initial;
	}

	.table__item {
		flex: initial;
		width: 100%;
		border-bottom: 0;
		cursor: pointer;
		padding: 0 0 .5em 0;
		border-radius: 2px;
		position: relative;
	}

	.table__item:last-of-type:after {
		position: absolute;
		bottom: 10px;
		right: 10px;
		content: '\f061';
		font-family: 'fontAwesome';
		color: #2d5d57;
	}

	.link-list .block__link {
		padding-right: 2em;
	}

	.link-list .block__link:after {
		visibility: visible;
		color: #cce259;
	}
	

}